## gnome-user-docs 2.22.0+svn20080407ubuntu1

=== debian/changelog ===
gnome-user-docs (2.22.0+svn20080407ubuntu1) hardy; urgency=low

  * Merging from upstream (LP: #150854)
  * Importing translations from Launchpad
  * Fix to language in goscustdesk.xml (LP: #205140)
    - Thanks to https://launchpad.net/~wousser

 -- Matthew East <mdke@ubuntu.com>  Sun, 13 Apr 2008 14:00:53 +0100

gnome-user-docs (2.22.0+svn20080310ubuntu2) hardy; urgency=low

  * debian/rules: moved autogen-business into makebuilddir target.  
    (LP: #144498)
  * debian/control:
    - added gnome-common, automake1.10 to Build-Depends-Indep,
    - updated bzr branch information,
    - bumped Standards-Version.
  * debian/rules, debian/control: removed gnome-pkg-tools references.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 17 Mar 2008 08:39:26 +0100

gnome-user-docs (2.22.0+svn20080310ubuntu1) hardy; urgency=low

  * New upstream version, new translations (LP: #201955)

 -- Matthew East <mdke@ubuntu.com>  Thu, 13 Mar 2008 21:40:13 +0000

gnome-user-docs (2.20.1+svn20080223ubuntu1) hardy; urgency=low

  * Synching with upstream, new translations for fi and oc

 -- Matthew East <mdke@ubuntu.com>  Sat, 23 Feb 2008 21:04:35 +0000

gnome-user-docs (2.20.1+svn20080213ubuntu1) hardy; urgency=low

  * First release for hardy (LP: #139064)
  * Synching with upstream, including translation updates.
  * debian/control.in: added automake1.10 to Build-Depends.

 -- Matthew East <mdke@ubuntu.com>  Sat, 16 Feb 2008 17:11:03 +0000

=== debian/control ===
Source: gnome-user-docs
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Standards-Version: 3.7.3
Pre-Depends: dpkg (>= 1.10.24)
Build-Depends: debhelper (>= 5),
               cdbs,
               fdupes
Build-Depends-Indep: scrollkeeper,
                     gnome-doc-utils,
                     pkg-config,
                     gnome-common,
                     automake1.10
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/gnome-user-docs/ubuntu-hardy

Package: gnome-user-guide
Architecture: all
Depends: ${misc:Depends},
         scrollkeeper,
         yelp
Provides: gnome2-user-guide
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide
 Documentation for using the GNOME 2 desktop environment and its components. 
 It covers usage and setup of the core GNOME 2 programs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_BUILDDEB_ARGS := -- -Zbzip2
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper

makebuilddir/gnome-user-guide::
	@gnome-autogen.sh --prefix=/usr
	@echo "---"
	@make -C gnome2-accessibility-guide -f Makefile pot
	@echo "---"
	@make -C gnome2-user-guide -f Makefile pot
	@echo "---"

clean::
	@echo "---"
	@echo "Version should start with: `grep AC_INIT configure.in | cut -d'[' -f3 | cut -d']' -f1`+svn`head -n1 ChangeLog | cut -d' ' -f1 | sed s'/\-//g'` (add 'ubuntu<n>' as necessary)"
	@echo "---"
	rm -f debian/gnome-user-guide.links

binary-post-install/gnome-user-guide::
	rm -rf debian/gnome-user-guide/var/lib/scrollkeeper

binary-fixup/gnome-user-guide::
	unset LANG LC_ALL; cd debian/gnome-user-guide && fdupes -r1nq usr | while read s; do \
	  set -- $$(echo $$s | tr ' ' '\n' | sort); \
	  f=$$1; shift; \
	  for d; do echo $$f $$d; done; \
	done > $(CURDIR)/debian/gnome-user-guide.links
	dh_link -pgnome-user-guide

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-user-docs/([\d\.]+)[02468]/gnome-user-docs-(.*)\.tar\.gz \
        debian uupdate

## gnome-user-docs 2.24.0+svn20080922ubuntu1

=== debian/changelog ===
gnome-user-docs (2.24.0+svn20080922ubuntu1) intrepid; urgency=low

  * Merge from upstream, 2.24.0 release

 -- Matthew East <mdke@ubuntu.com>  Fri, 26 Sep 2008 07:59:29 +0100

gnome-user-docs (2.22.3+svn20080810ubuntu1) intrepid; urgency=low

  [ Matthew East ]
  * First upload to intrepid (LP: #256619)
  * Merging from upstream

  [ Daniel Holbach ]
  * debian/rules: use --disable-scrollkeeper in the gnome-autogen.sh call too.

 -- Matthew East <mdke@ubuntu.com>  Sun, 10 Aug 2008 14:55:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
 
 makebuilddir/gnome-user-guide::
-	@gnome-autogen.sh --prefix=/usr
+	@gnome-autogen.sh --prefix=/usr --disable-scrollkeeper
 	@echo "---"
 	@make -C gnome2-accessibility-guide -f Makefile pot
 	@echo "---"

## gnome-user-docs 2.24.0+svn20080922ubuntu2

=== debian/changelog ===
gnome-user-docs (2.24.0+svn20080922ubuntu2) intrepid-proposed; urgency=low

  * Import translations from Rosetta so that ubuntu-specific strings are translated (LP: #281277)

 -- Matthew East <mdke@ubuntu.com>  Tue, 10 Mar 2009 19:21:36 +0000

## gnome-user-docs 2.26.0+svn20090323ubuntu5

=== debian/changelog ===
gnome-user-docs (2.26.0+svn20090323ubuntu5) jaunty; urgency=low

  * Update translations from Rosetta (NonLangPackFreeze)
  * Update DOC_LINGUAS for new translations and rebuild debian/control
  * Should be last release before Jaunty release

 -- Matthew East <mdke@ubuntu.com>  Fri, 10 Apr 2009 12:28:00 +0100

gnome-user-docs (2.26.0+svn20090323ubuntu4) jaunty; urgency=low

  * Refresh translations from Rosetta (LP: #281277, LP: #353479)
  * update DOC_LINGUAS for new translations and rebuild debian/control

 -- Matthew East <mdke@ubuntu.com>  Thu, 02 Apr 2009 08:27:43 +0100

gnome-user-docs (2.26.0+svn20090323ubuntu3) jaunty; urgency=low

  * Drop Pre-Depends from debian/control source stanza; this has no
    meaning whatsoever for a source package.
  * Install the omf files as well, needed so that the documentation shows
    up in yelp.  LP: #353154.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Apr 2009 08:40:35 -0700

gnome-user-docs (2.26.0+svn20090323ubuntu2) jaunty; urgency=low

  * Fix Vcs-Bzr field to point at the current branch
  * debian/control*, debian/rules, debian/gnome-user-guide.install:
    build per-language packages with a dependency on a common
    gnome-user-guide package, letting language packs pull in the
    appropriate languages and saving space on the CDs.

 -- Steve Langasek <vorlon@debian.org>  Mon, 30 Mar 2009 05:50:00 -0700

gnome-user-docs (2.26.0+svn20090323ubuntu1) jaunty; urgency=low

  * Version 2.26.0 released
  * Merge from upstream svn as at 23.03.2009 - some translation updates

 -- Matthew East <mdke@ubuntu.com>  Fri, 27 Mar 2009 22:32:30 +0000

gnome-user-docs (2.25.1+svn20090310ubuntu1) jaunty; urgency=low

  * Merge from upstream as at 10.3.2009
  * Version 2.25.1 released:
    - Updates translations and user guide bug fixes (see NEWS for details)
  * From svn trunk:
    - Some fixes and translation updates (see Changelog for details)

 -- Matthew East <mdke@ubuntu.com>  Sun, 15 Mar 2009 09:49:14 +0000

gnome-user-docs (2.24.1+svn20090303ubuntu1) jaunty; urgency=low

  * Merge from upstream as at 3.03.09
  * Fix validity of user-guide.xml (Gnome bug #573840)

 -- Matthew East <mdke@ubuntu.com>  Tue, 03 Mar 2009 08:37:08 +0000

gnome-user-docs (2.24.1+svn20090109ubuntu1) jaunty; urgency=low

  * Merge from upstream as at 4.01.09
  * Correct instructions for adding log out button to panel (LP: #126988)

 -- Matthew East <mdke@ubuntu.com>  Sun, 04 Jan 2009 11:11:40 +0000

=== debian/control ===
Source: gnome-user-docs
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5),
               cdbs
Build-Depends-Indep: scrollkeeper,
                     gnome-doc-utils,
                     pkg-config,
                     gnome-common,
                     automake1.10,
                     iso-codes
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/gnome-user-docs/ubuntu-jaunty

Package: gnome-user-guide
Architecture: all
Depends: ${misc:Depends},
         scrollkeeper,
         yelp
Provides: gnome2-user-guide
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide
 Documentation for using the GNOME 2 desktop environment and its components. 
 It covers usage and setup of the core GNOME 2 programs.

Package: gnome-user-guide-ar
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Arabic)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Arabic.

Package: gnome-user-guide-bg
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Bulgarian)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Bulgarian.

Package: gnome-user-guide-ca
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Catalan)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Catalan.

Package: gnome-user-guide-cs
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Czech)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Czech.

Package: gnome-user-guide-da
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Danish)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Danish.

Package: gnome-user-guide-de
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (German)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for German.

Package: gnome-user-guide-el
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Greek, Modern (1453-))
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Greek, Modern (1453-).

Package: gnome-user-guide-en
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (English)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for English.

Package: gnome-user-guide-eo
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Esperanto)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Esperanto.

Package: gnome-user-guide-es
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Spanish)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Spanish.

Package: gnome-user-guide-et
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Estonian)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Estonian.

Package: gnome-user-guide-eu
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Basque)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Basque.

Package: gnome-user-guide-fi
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Finnish)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Finnish.

Package: gnome-user-guide-fr
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (French)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for French.

Package: gnome-user-guide-gl
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Galician)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Galician.

Package: gnome-user-guide-he
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Hebrew)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Hebrew.

Package: gnome-user-guide-hu
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Hungarian)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Hungarian.

Package: gnome-user-guide-id
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Indonesian)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Indonesian.

Package: gnome-user-guide-is
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Icelandic)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Icelandic.

Package: gnome-user-guide-it
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Italian)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Italian.

Package: gnome-user-guide-ja
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Japanese)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Japanese.

Package: gnome-user-guide-ko
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Korean)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Korean.

Package: gnome-user-guide-ms
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Malay)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Malay.

Package: gnome-user-guide-nb
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro
Replaces: gnome2-user-guide
Description: GNOME user's guide (Bokmål, Norwegian)
 Documentation for using the GNOME 2 desktop environment and its components.
 It covers usage and setup of the core GNOME 2 programs.
 .
 This package includes translated documentation for Bokmål, Norwegian.

Package: gnome-user-guide-nl
Architecture: all
Depends: ${misc:Depends},
         gnome-user-guide (= ${source:Version}),
         scrollkeeper,
         yelp
Conflicts: gnome-intro

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_BUILDDEB_ARGS := -- -Zbzip2
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
DEB_DH_INSTALL_SOURCEDIR = debian/tmp

makebuilddir/gnome-user-guide::
	@gnome-autogen.sh --prefix=/usr --disable-scrollkeeper
	@echo "---"
	@make -C gnome2-accessibility-guide -f Makefile pot
	@echo "---"
	@make -C gnome2-user-guide -f Makefile pot
	@echo "---"

clean::
	@echo "---"
	@echo "Version should start with: `grep AC_INIT configure.in | cut -d'[' -f3 | cut -d']' -f1`+svn`head -n1 ChangeLog | cut -d' ' -f1 | sed s'/\-//g'` (add 'ubuntu<n>' as necessary)"
	@echo "---"
	rm -f debian/gnome-user-guide.links
	rm -f debian/gnome-user-guide-*.install

binary-post-install/gnome-user-guide::
	rm -rf debian/gnome-user-guide/var/lib/scrollkeeper

# This rule will fail if one language code is a prefix of another!
# But we can't just add a match for ${lang}_*, because dh_install will
# fail if there are no matches.
common-install-indep::
	for lang in $$(for ll in $$(sed -n -e's/^DOC_LINGUAS[[:space:]]*=[[:space:]]*//p' gnome2-*-guide/Makefile.am); \
	               do echo $$ll; done | sed -e's/_.*//' | sort -u); \
	do \
		echo /usr/share/gnome/help/'*'/$${lang}* > debian/gnome-user-guide-$${lang}.install; \
		echo /usr/share/omf/'*'/'*'-$${lang}'*'.omf >> debian/gnome-user-guide-$${lang}.install; \
	done

debian/control::
	(cat debian/control.in; \
	for lang in $$(for ll in $$(sed -n -e's/^DOC_LINGUAS[[:space:]]*=[[:space:]]*//p' gnome2-*-guide/Makefile.am); \
	               do echo $$ll; done | sed -e's/_.*//' | sort -u); \
	do \
		name=$$(sed -n -e"/^#/d; s/;.*//; /\([[:space:]]\|^\)$$lang[[:space:]]/p" /usr/share/iso-codes/iso_639.tab |cut -f4-); \
		sed -e"s/\$${ll}/$$lang/; s/\$${lang}/$$name/;" debian/control.lang; \
	done) > debian/control.new
	mv debian/control.new debian/control

## gnome-user-docs 2.28.0+git20090921ubuntu2

=== debian/changelog ===
gnome-user-docs (2.28.0+git20090921ubuntu2) karmic; urgency=low

  * Update translations from Rosetta (LP: #451623)
  * Update DOC_LINGUAS for new translations
  * Fix Vcs-Bzr field to point at the current branch
  * debian/control.in - replace iso-codes with isoquery in depends

 -- Matthew East <mdke@ubuntu.com>  Sun, 18 Oct 2009 11:48:36 +0100

gnome-user-docs (2.28.0+git20090921ubuntu1) karmic; urgency=low

  [ Matthew East ]
  * First upload for Karmic (LP: #434434)
  * 2.28.0 upstream release
  * Merge (manually) from git upstream, reinstating as many Ubuntu-specific
    strings as possible

  [ Steve Langasek ]
  * Build-Depend on isoquery and use isoquery in debian/rules, now that
    iso-codes no longer ships a flatfile list.
  * Regenerate debian/control, dropping languages not present upstream


 -- Matthew East <mdke@ubuntu.com>  Sat, 26 Sep 2009 20:57:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                      pkg-config,
                      gnome-common,
                      automake1.10,
-                     iso-codes
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/gnome-user-docs/ubuntu-jaunty
+                     isoquery
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/gnome-user-docs/ubuntu-karmic
 
 Package: gnome-user-guide
 Architecture: all
@@ -40,6 +40,34 @@
  .
  This package includes translated documentation for Arabic.
 
+Package: gnome-user-guide-ast
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Asturian)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Asturian.
+
+Package: gnome-user-guide-be
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Belarusian)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Belarusian.
+
 Package: gnome-user-guide-bg
 Architecture: all
 Depends: ${misc:Depends},
@@ -110,6 +138,20 @@
  .
  This package includes translated documentation for German.
 
+Package: gnome-user-guide-dv
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Divehi)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Divehi.
+
 Package: gnome-user-guide-el
 Architecture: all
 Depends: ${misc:Depends},
@@ -236,6 +278,20 @@
  .
  This package includes translated documentation for Galician.
 
+Package: gnome-user-guide-gu
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Gujarati)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Gujarati.
+
 Package: gnome-user-guide-he
 Architecture: all
 Depends: ${misc:Depends},
@@ -314,58 +370,3 @@
          yelp
 Conflicts: gnome-intro
 Replaces: gnome2-user-guide
-Description: GNOME user's guide (Japanese)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Japanese.
-
-Package: gnome-user-guide-ko
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide
-Description: GNOME user's guide (Korean)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Korean.
-
-Package: gnome-user-guide-ms
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide
-Description: GNOME user's guide (Malay)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Malay.
-
-Package: gnome-user-guide-nb
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide
-Description: GNOME user's guide (Bokmål, Norwegian)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Bokmål, Norwegian.
-
-Package: gnome-user-guide-nl
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro

## gnome-user-docs 2.30.0+git20100403ubuntu2

=== debian/changelog ===
gnome-user-docs (2.30.0+git20100403ubuntu2) lucid; urgency=low

  * Add translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Mon, 19 Apr 2010 08:02:59 +0100

gnome-user-docs (2.30.0+git20100403ubuntu1) lucid; urgency=low

  * Upstream 2.30.0 release + a few updates from upstream git

 -- Matthew East <mdke@ubuntu.com>  Mon, 05 Apr 2010 12:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -82,6 +82,20 @@
  .
  This package includes translated documentation for Bulgarian.
 
+Package: gnome-user-guide-bn
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Bengali)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Bengali.
+
 Package: gnome-user-guide-ca
 Architecture: all
 Depends: ${misc:Depends},
@@ -236,6 +250,20 @@
  .
  This package includes translated documentation for Basque.
 
+Package: gnome-user-guide-fa
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Persian)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Persian.
+
 Package: gnome-user-guide-fi
 Architecture: all
 Depends: ${misc:Depends},
@@ -334,39 +362,11 @@
  .
  This package includes translated documentation for Indonesian.
 
-Package: gnome-user-guide-is
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide
-Description: GNOME user's guide (Icelandic)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Icelandic.
-
-Package: gnome-user-guide-it
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide
-Description: GNOME user's guide (Italian)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Italian.
-
-Package: gnome-user-guide-ja
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide
+Package: gnome-user-guide-ig
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	for lang in $$(for ll in $$(sed -n -e's/^DOC_LINGUAS[[:space:]]*=[[:space:]]*//p' gnome2-*-guide/Makefile.am); \
 	               do echo $$ll; done | sed -e's/_.*//' | sort -u); \
 	do \
-		name=$$(sed -n -e"/^#/d; s/;.*//; /\([[:space:]]\|^\)$$lang[[:space:]]/p" /usr/share/iso-codes/iso_639.tab |cut -f4-); \
+		name=$$(isoquery -i 639 $$lang | sed -e's/;.*//' | cut -f4-); \
 		sed -e"s/\$${ll}/$$lang/; s/\$${lang}/$$name/;" debian/control.lang; \
 	done) > debian/control.new
 	mv debian/control.new debian/control

## gnome-user-docs 2.30.0+git20100403ubuntu3

=== debian/changelog ===
gnome-user-docs (2.30.0+git20100403ubuntu3) lucid-proposed; urgency=low

  * Improve debian/rules to avoid putting duplicate omf files in
    gnome-user-guide-gu (LP: #464037)
  * Update translations from Rosetta, add new languages to DOC_LINGUAS

 -- Matthew East <mdke@ubuntu.com>  Thu, 12 May 2011 22:07:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	               do echo $$ll; done | sed -e's/_.*//' | sort -u); \
 	do \
 		echo /usr/share/gnome/help/'*'/$${lang}* > debian/gnome-user-guide-$${lang}.install; \
-		echo /usr/share/omf/'*'/'*'-$${lang}'*'.omf >> debian/gnome-user-guide-$${lang}.install; \
+		echo /usr/share/omf/'*'/'*'guide-$${lang}'*'.omf >> debian/gnome-user-guide-$${lang}.install; \
 	done
 
 debian/control::

## gnome-user-docs 2.30.0+git20100403ubuntu3.1

=== debian/changelog ===
gnome-user-docs (2.30.0+git20100403ubuntu3.1) maverick-proposed; urgency=low

  * Update translations from Rosetta, add new langs to DOC_LINGUAS
  * Improve debian/rules to avoid putting duplicate omf files in 
    gnome-user-guide-gu - LP: #464037

 -- Matthew East <mdke@ubuntu.com>  Tue, 17 May 2011 08:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -96,6 +96,20 @@
  .
  This package includes translated documentation for Bengali.
 
+Package: gnome-user-guide-bs
+Architecture: all
+Depends: ${misc:Depends},
+         gnome-user-guide (= ${source:Version}),
+         scrollkeeper,
+         yelp
+Conflicts: gnome-intro
+Replaces: gnome2-user-guide
+Description: GNOME user's guide (Bosnian)
+ Documentation for using the GNOME 2 desktop environment and its components.
+ It covers usage and setup of the core GNOME 2 programs.
+ .
+ This package includes translated documentation for Bosnian.
+
 Package: gnome-user-guide-ca
 Architecture: all
 Depends: ${misc:Depends},
@@ -356,17 +370,3 @@
          yelp
 Conflicts: gnome-intro
 Replaces: gnome2-user-guide
-Description: GNOME user's guide (Indonesian)
- Documentation for using the GNOME 2 desktop environment and its components.
- It covers usage and setup of the core GNOME 2 programs.
- .
- This package includes translated documentation for Indonesian.
-
-Package: gnome-user-guide-ig
-Architecture: all
-Depends: ${misc:Depends},
-         gnome-user-guide (= ${source:Version}),
-         scrollkeeper,
-         yelp
-Conflicts: gnome-intro
-Replaces: gnome2-user-guide

## gnome-user-docs 3.0.0+git20110406ubuntu8

=== debian/changelog ===
gnome-user-docs (3.0.0+git20110406ubuntu8) natty; urgency=low

  * Add help for Mobile Broadband - Matthew East
  * Work on Unity help - Jim Campbell
  * Fixing broken links - Jim Campbell

 -- Matthew East <mdke@ubuntu.com>  Fri, 22 Apr 2011 22:47:35 +0200

gnome-user-docs (3.0.0+git20110406ubuntu7) natty; urgency=low

  * Improvement of Unity topics - Jim Campbell
  * New topics for adding/removing software - Jim Campbell and 
    Jeremy Bicha
  * Edits and new material re a11y, mouse use, unity 
    and other subjects - Jeremy Bicha

 -- Matthew East <mdke@ubuntu.com>  Fri, 22 Apr 2011 06:33:13 +0000

gnome-user-docs (3.0.0+git20110406ubuntu6) natty; urgency=low

  * New topics for Unity - Jim Campbell, Rick Spencer
  * New topic for using Synaptic - Jim Campbell
  * Editing and new material - Jim Campbell and Jeremy Bicha
  * Update Makefile.am with new files

 -- Matthew East <mdke@ubuntu.com>  Thu, 21 Apr 2011 12:50:09 +0000

gnome-user-docs (3.0.0+git20110406ubuntu5) natty; urgency=low

  * Updates to File Manager pages to reflect Natty - Jeremy Bicha
  * New page on Guest Session - Gunnar Hjalmarsson
  * Miscellaneous fixes from Isabell Long
  * Updates to web browser section - Jim Campbell
  * Update Makefile.am with new files

 -- Matthew East <mdke@ubuntu.com>  Mon, 18 Apr 2011 18:44:54 +0000

gnome-user-docs (3.0.0+git20110406ubuntu3) natty; urgency=low

  * Add back Gnome user-guide which is still used by certain 
    applications (capplets) for help buttons
  * Document updates by Jim Campbell, Jeremy Bicha

 -- Matthew East <mdke@ubuntu.com>  Sun, 17 Apr 2011 07:48:51 +0000

gnome-user-docs (3.0.0+git20110406ubuntu2) natty; urgency=low

  * Remove several screenshots to reduce package size
  * Some documentation updates by Jim Campbell, Jeremy Bicha
  * Add link in index to documentation for "Ubuntu Classic"
    desktop session, provided by ubuntu-docs package.

 -- Matthew East <mdke@ubuntu.com>  Wed, 13 Apr 2011 06:54:06 +0000

gnome-user-docs (3.0.0+git20110406ubuntu1) natty; urgency=low

  * Update for upstream release 3.0
  * Amending for Unity - work by Jim Campbell, Jeremy Bicha 
    and Gunnar Hjalmarsson (LP: #753072)

 -- Matthew East <mdke@ubuntu.com>  Tue, 12 Apr 2011 06:23:51 +0000

gnome-user-docs (2.91.90+git20110306ubuntu1) natty; urgency=low

  * Upstream 2.91.90 release, new mallard based documentation
    for use with yelp 3 (LP: #726426)
  * Update Vcs-Bzr field
  * Drop separate packages for translations (LP: #464037)

 -- Matthew East <mdke@ubuntu.com>  Sun, 20 Mar 2011 15:44:40 +0000

=== debian/control ===
Source: gnome-user-docs
Section: gnome
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5),
               cdbs
Build-Depends-Indep: gnome-doc-utils,
                     pkg-config,
                     gnome-common,
                     automake1.10,
                     isoquery
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/gnome-user-docs/natty

Package: gnome-user-guide
Architecture: all
Depends: ${misc:Depends},
         yelp
Provides: gnome2-user-guide
Conflicts: gnome-intro, gnome-user-guide-ar (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ast (<<2.91.90+git20110306ubuntu1), gnome-user-guide-be (<<2.91.90+git20110306ubuntu1), gnome-user-guide-bg (<<2.91.90+git20110306ubuntu1), gnome-user-guide-bn (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ca (<<2.91.90+git20110306ubuntu1), gnome-user-guide-cs (<<2.91.90+git20110306ubuntu1), gnome-user-guide-da (<<2.91.90+git20110306ubuntu1), gnome-user-guide-de (<<2.91.90+git20110306ubuntu1), gnome-user-guide-dv (<<2.91.90+git20110306ubuntu1), gnome-user-guide-el (<<2.91.90+git20110306ubuntu1), gnome-user-guide-en (<<2.91.90+git20110306ubuntu1), gnome-user-guide-eo (<<2.91.90+git20110306ubuntu1), gnome-user-guide-es (<<2.91.90+git20110306ubuntu1), gnome-user-guide-et (<<2.91.90+git20110306ubuntu1), gnome-user-guide-eu (<<2.91.90+git20110306ubuntu1), gnome-user-guide-fa (<<2.91.90+git20110306ubuntu1), gnome-user-guide-fi (<<2.91.90+git20110306ubuntu1), gnome-user-guide-fr (<<2.91.90+git20110306ubuntu1), gnome-user-guide-gl (<<2.91.90+git20110306ubuntu1), gnome-user-guide-gu (<<2.91.90+git20110306ubuntu1), gnome-user-guide-he (<<2.91.90+git20110306ubuntu1), gnome-user-guide-hu (<<2.91.90+git20110306ubuntu1), gnome-user-guide-id (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ig (<<2.91.90+git20110306ubuntu1), gnome-user-guide-is (<<2.91.90+git20110306ubuntu1), gnome-user-guide-it (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ja (<<2.91.90+git20110306ubuntu1), gnome-user-guide-km (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ko (<<2.91.90+git20110306ubuntu1), gnome-user-guide-lv (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ml (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ms (<<2.91.90+git20110306ubuntu1), gnome-user-guide-nb (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ne (<<2.91.90+git20110306ubuntu1), gnome-user-guide-nl (<<2.91.90+git20110306ubuntu1), gnome-user-guide-nn (<<2.91.90+git20110306ubuntu1), gnome-user-guide-oc (<<2.91.90+git20110306ubuntu1), gnome-user-guide-pa (<<2.91.90+git20110306ubuntu1), gnome-user-guide-pl (<<2.91.90+git20110306ubuntu1), gnome-user-guide-pt (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ro (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ru (<<2.91.90+git20110306ubuntu1), gnome-user-guide-sk (<<2.91.90+git20110306ubuntu1), gnome-user-guide-sq (<<2.91.90+git20110306ubuntu1), gnome-user-guide-sv (<<2.91.90+git20110306ubuntu1), gnome-user-guide-tet (<<2.91.90+git20110306ubuntu1), gnome-user-guide-th (<<2.91.90+git20110306ubuntu1), gnome-user-guide-tr (<<2.91.90+git20110306ubuntu1), gnome-user-guide-uk (<<2.91.90+git20110306ubuntu1), gnome-user-guide-vi (<<2.91.90+git20110306ubuntu1), gnome-user-guide-zh (<<2.91.90+git20110306ubuntu1)
Replaces: gnome2-user-guide, gnome-user-guide-ar (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ast (<<2.91.90+git20110306ubuntu1), gnome-user-guide-be (<<2.91.90+git20110306ubuntu1), gnome-user-guide-bg (<<2.91.90+git20110306ubuntu1), gnome-user-guide-bn (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ca (<<2.91.90+git20110306ubuntu1), gnome-user-guide-cs (<<2.91.90+git20110306ubuntu1), gnome-user-guide-da (<<2.91.90+git20110306ubuntu1), gnome-user-guide-de (<<2.91.90+git20110306ubuntu1), gnome-user-guide-dv (<<2.91.90+git20110306ubuntu1), gnome-user-guide-el (<<2.91.90+git20110306ubuntu1), gnome-user-guide-en (<<2.91.90+git20110306ubuntu1), gnome-user-guide-eo (<<2.91.90+git20110306ubuntu1), gnome-user-guide-es (<<2.91.90+git20110306ubuntu1), gnome-user-guide-et (<<2.91.90+git20110306ubuntu1), gnome-user-guide-eu (<<2.91.90+git20110306ubuntu1), gnome-user-guide-fa (<<2.91.90+git20110306ubuntu1), gnome-user-guide-fi (<<2.91.90+git20110306ubuntu1), gnome-user-guide-fr (<<2.91.90+git20110306ubuntu1), gnome-user-guide-gl (<<2.91.90+git20110306ubuntu1), gnome-user-guide-gu (<<2.91.90+git20110306ubuntu1), gnome-user-guide-he (<<2.91.90+git20110306ubuntu1), gnome-user-guide-hu (<<2.91.90+git20110306ubuntu1), gnome-user-guide-id (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ig (<<2.91.90+git20110306ubuntu1), gnome-user-guide-is (<<2.91.90+git20110306ubuntu1), gnome-user-guide-it (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ja (<<2.91.90+git20110306ubuntu1), gnome-user-guide-km (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ko (<<2.91.90+git20110306ubuntu1), gnome-user-guide-lv (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ml (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ms (<<2.91.90+git20110306ubuntu1), gnome-user-guide-nb (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ne (<<2.91.90+git20110306ubuntu1), gnome-user-guide-nl (<<2.91.90+git20110306ubuntu1), gnome-user-guide-nn (<<2.91.90+git20110306ubuntu1), gnome-user-guide-oc (<<2.91.90+git20110306ubuntu1), gnome-user-guide-pa (<<2.91.90+git20110306ubuntu1), gnome-user-guide-pl (<<2.91.90+git20110306ubuntu1), gnome-user-guide-pt (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ro (<<2.91.90+git20110306ubuntu1), gnome-user-guide-ru (<<2.91.90+git20110306ubuntu1), gnome-user-guide-sk (<<2.91.90+git20110306ubuntu1), gnome-user-guide-sq (<<2.91.90+git20110306ubuntu1), gnome-user-guide-sv (<<2.91.90+git20110306ubuntu1), gnome-user-guide-tet (<<2.91.90+git20110306ubuntu1), gnome-user-guide-th (<<2.91.90+git20110306ubuntu1), gnome-user-guide-tr (<<2.91.90+git20110306ubuntu1), gnome-user-guide-uk (<<2.91.90+git20110306ubuntu1), gnome-user-guide-vi (<<2.91.90+git20110306ubuntu1), gnome-user-guide-zh (<<2.91.90+git20110306ubuntu1)
Description: GNOME user's guide
 Documentation for using the GNOME 2 desktop environment and its components. 
 It covers usage and setup of the core GNOME 2 programs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_BUILDDEB_ARGS := -- -Zbzip2
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
DEB_DH_INSTALL_SOURCEDIR = debian/tmp

makebuilddir/gnome-user-guide::
	@gnome-autogen.sh --prefix=/usr --disable-scrollkeeper
	@echo "---"
	@make -C gnome-help -f Makefile pot
	@echo "---"
	@make -C user-guide -f Makefile pot
	@echo "---"

clean::
	@echo "---"
	@echo "Version should start with: `grep AC_INIT configure.in | cut -d'[' -f3 | cut -d']' -f1`+svn`head -n1 ChangeLog | cut -d' ' -f1 | sed s'/\-//g'` (add 'ubuntu<n>' as necessary)"
	@echo "---"
	rm -f debian/gnome-user-guide.links

binary-post-install/gnome-user-guide::
	rm -rf debian/gnome-user-guide/var/lib/scrollkeeper

## gnome-user-docs 3.0.0+git20110406ubuntu12

=== libs/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# Language code for documents
# Ex. LN=ja for japanese
LN=C

# Ubuntu Mallard Customization Layer

UBUNTUXSL=ubuntu.xsl

gnome-help: clean style

	./yelp-build html -o ../build -x ubuntu.xsl ../gnome-help/C/
	./fix-urls.sh
	# Workaround for a bug in yelp-build
	rm -rf ../build/usr

clean:
	rm -rf ../build

style:

	# copy style sheet and common images to build directory
	mkdir -p ../build/img
	mkdir -p ../build/figures
	cp img/* ../build/img/
	cp ../gnome-help/C/figures/* ../build/figures/

=== debian/changelog ===
gnome-user-docs (3.0.0+git20110406ubuntu12) natty-proposed; urgency=low

  * Update translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Sun, 19 Feb 2012 21:49:38 +0000

gnome-user-docs (3.0.0+git20110406ubuntu11) natty-proposed; urgency=low

  * Update translations from Rosetta (LP: #774238)

 -- Matthew East <mdke@ubuntu.com>  Sun, 10 Jul 2011 15:01:39 +0100

gnome-user-docs (3.0.0+git20110406ubuntu10) natty-proposed; urgency=low

  * Various cleanup of help files, Jim Campbell/Jeremy Bicha/
    Steven Richards/Connor Imes
    Includes: LP: #782319
  * Typos fixed LP: #782147, Jeremy Bicha
  * Obsolete help for "Appearance" config app removed, LP: #551806,
    Jeremy Bicha 
  * Dual monitor help added, Steven Richards / Connor Imes
  * Work on printer help, Steven Richards / Jeremy Bicha
  * New file net-security-tips.page, Steven Richards / Connor Imes
  * Update pot files

 -- Matthew East <mdke@ubuntu.com>  Fri, 20 May 2011 08:09:14 +0100

gnome-user-docs (3.0.0+git20110406ubuntu9) natty-proposed; urgency=low

  * SRU bug: LP: #773942
  * Substantial updates to help including complete review of all pages
    for natty. Jeremy Bicha, Jim Campbell, Steven Richards,
    Matthew East (LP: #764007, LP: #753072, LP: #773427)
  * Add pot files to source package manually to work around bug in 
    gnome-doc-utils (LP: #768814)

 -- Matthew East <mdke@ubuntu.com>  Sat, 30 Apr 2011 09:36:14 +0100
